summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrey Grozin <grozin@gentoo.org>2018-01-13 15:17:36 +0700
committerAndrey Grozin <grozin@gentoo.org>2018-01-13 15:17:36 +0700
commit6a6f1f244057cdbbd13db6f2d68fdcec64baad9a (patch)
tree927f789ee62ebb081593d40c9859ed35c57e07b9
parentsci-visualization/gle: fix building with -std=c++14 (diff)
downloadgentoo-6a6f1f244057cdbbd13db6f2d68fdcec64baad9a.tar.gz
gentoo-6a6f1f244057cdbbd13db6f2d68fdcec64baad9a.tar.bz2
gentoo-6a6f1f244057cdbbd13db6f2d68fdcec64baad9a.zip
sci-visualization/gle: clean old
Closes: https://bugs.gentoo.org/642562 Package-Manager: Portage-2.3.19, Repoman-2.3.6
-rw-r--r--sci-visualization/gle/files/gle-4.2.4b-parallel.patch21
-rw-r--r--sci-visualization/gle/gle-4.2.5.ebuild102
2 files changed, 0 insertions, 123 deletions
diff --git a/sci-visualization/gle/files/gle-4.2.4b-parallel.patch b/sci-visualization/gle/files/gle-4.2.4b-parallel.patch
deleted file mode 100644
index 1eff8c06710..00000000000
--- a/sci-visualization/gle/files/gle-4.2.4b-parallel.patch
+++ /dev/null
@@ -1,21 +0,0 @@
---- src/gui/MakefileAC.in.orig 2010-01-06 20:10:04.000000000 +0000
-+++ src/gui/MakefileAC.in 2010-01-06 20:21:15.000000000 +0000
-@@ -84,14 +84,14 @@
- qmake:
- $(QMAKE_PROG) $(QMAKE_OPTS)
-
--domake:
-- $(MAKE_PROG)
-+domake: Makefile
-+ $(MAKE)
-
--repmake:
-+repmake: Makefile
- perl ../../platform/autopackage/qt-replace.pl Makefile
-
- doclean:
-- -$(MAKE_PROG) clean
-+ -$(MAKE) clean
- -@$(RM) qgle install_qgle_name_mac Makefile
- -@$(RMDIR) moc
- -@$(RMDIR) objects
diff --git a/sci-visualization/gle/gle-4.2.5.ebuild b/sci-visualization/gle/gle-4.2.5.ebuild
deleted file mode 100644
index 178b6e82de0..00000000000
--- a/sci-visualization/gle/gle-4.2.5.ebuild
+++ /dev/null
@@ -1,102 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-inherit eutils elisp-common qt4-r2 flag-o-matic autotools
-
-DESCRIPTION="Graphics Layout Engine"
-HOMEPAGE="http://glx.sourceforge.net/"
-MY_P=${PN}-graphics-${PV}
-MAN_V=4.2.2
-SRC_URI="mirror://sourceforge/glx/${MY_P}f-src.tar.gz"
-SLOT="0"
-LICENSE="BSD-2 emacs? ( GPL-2 ) qt4? ( GPL-2 )"
-IUSE="X qt4 jpeg png tiff doc emacs vim-syntax"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-
-DEPEND="
- sys-libs/ncurses:0=
- X? ( x11-libs/libX11 )
- qt4? ( dev-qt/qtopengl:4 )
- jpeg? ( virtual/jpeg:0 )
- png? ( media-libs/libpng:0= )
- tiff? ( media-libs/tiff:0 )
- doc? ( dev-texlive/texlive-latexextra )
- emacs? ( virtual/emacs )"
-
-RDEPEND="${DEPEND}
- app-text/ghostscript-gpl
- virtual/latex-base
- vim-syntax? ( || ( app-editors/vim app-editors/gvim ) )"
-
-S="${WORKDIR}"/${MY_P}
-
-src_prepare() {
- epatch "${FILESDIR}"/${PN}-4.2.4b-parallel.patch
- eaclocal
- eautoconf
-}
-
-src_configure() {
- # CPPFLAGS are understood as C++ flags
- append-cppflags ${CXXFLAGS}
- econf \
- --without-rpath \
- --with-manip \
- $(use_with qt4 qt "${EPREFIX}"/usr) \
- $(use_with X x) \
- $(use_with jpeg) \
- $(use_with png) \
- $(use_with tiff)
-}
-
-src_compile() {
- emake
- if use doc; then
- emake -j1 doc
- fi
- if use emacs; then
- cd contrib/editors/highlighting
- mv ${PN}-emacs.el ${PN}-mode.el
- elisp-compile ${PN}-mode.el || die
- fi
-}
-
-src_install() {
- # -jN failed to install some data files
- emake -j1 DESTDIR="${D}" install
- rm -rf "${ED}"/usr/share/doc/gle-graphics
- dodoc README.txt
-
- if use qt4; then
- newicon src/gui/images/gle_icon.png gle.png
- make_desktop_entry qgle GLE gle
- newdoc src/gui/readme.txt gui_readme.txt
- fi
-
- if use doc; then
- insinto /usr/share/doc/${PF}
- doins build/doc/gle-manual.pdf
- fi
-
- if use emacs; then
- elisp-install ${PN} contrib/editors/highlighting/gle-mode.{el,elc} || die
- elisp-site-file-install "${FILESDIR}"/64gle-gentoo.el || die
- fi
-
- if use vim-syntax ; then
- dodir /usr/share/vim/vimfiles/{ftplugins,indent,syntax}
- cd contrib/editors/highlighting/vim || die
- chmod 644 ftplugin/* indent/* syntax/*
- insinto /usr/share/vim/vimfiles
- doins -r ftplugin indent syntax
- fi
-}
-
-pkg_postinst() {
- use emacs && elisp-site-regen
-}
-
-pkg_postrm() {
- use emacs && elisp-site-regen
-}